Name:           spicctrl
Version:        1.9
Release:        alt1_13
Summary:        Sony Vaio laptop SPIC control program

Group:          File tools
License:        GPLv2+
URL:            http://popies.net/sonypi/
Source0:        http://popies.net/sonypi/spicctrl-%{version}.tar.bz2

ExclusiveArch:	%{ix86} x86_64
Source44: import.info

%description
spicctrl queries and sets a variety of parameters on Sony Vaio laptop
computers, including AC Power status, battery status, screen brightness,
and bluetooth device power status


%prep
%setup -q
%{__sed} -i 's/ -O2 / $(RPM_OPT_FLAGS) /' Makefile


%build
make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m755 spicctrl $RPM_BUILD_ROOT%{_sbindir}
install -p -m644 spicctrl.1 $RPM_BUILD_ROOT%{_mandir}/man1


%post
if [ ! -c /dev/sonypi ]; then
	rm -f /dev/sonypi
	mknod /dev/sonypi c 10 250
fi
if [ -e /etc/modprobe.conf ]; then
	grep 'alias char-major-10-250 sonypi' /etc/modprobe.conf > /dev/null
	RETVAL=$?
	if [ $RETVAL -ne 0 ]; then
		echo 'alias char-major-10-250 sonypi' >> /etc/modprobe.conf
		echo 'options sonypi minor=250' >> /etc/modprobe.conf
	fi
fi


%files
%doc AUTHORS CHANGES LICENSE
%{_sbindir}/spicctrl
%{_mandir}/man1/spicctrl.1*


%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1_13
- initial fc import

